// playfield.cpp
#include <QtGui>
#include <iostream>
#include "playfield.h"
using namespace std;
const int GC_fieldWidth = 400;
const int GC_fieldHeight = 300;
PlayField::PlayField(QWidget *parent): QWidget(parent)
{
  setMinimumSize(GC_fieldWidth, GC_fieldHeight);
  setMaximumSize(GC_fieldWidth, GC_fieldHeight);
  setMouseTracking(true);
}

void PlayField::paintEvent(QPaintEvent *event)
{
  int ww = width(); // widget's width
  int wh = height(); // widget's height
  // draw background
  QPainter painter(this);
  painter.setBrush(Qt::white);
  painter.drawRect(0, 0, ww, wh);
  // multiple with 16 because Qt divide each degree into 16 levels
  painter.setBrush(Qt::red);
  painter.drawChord(50, 60, 100, 100, 0, 45 * 16);
  painter.setBrush(Qt::blue);
  painter.drawChord(150, 60, 60, 60, 45 * 16, 90 * 16);
  painter.setBrush(Qt::black);
  painter.drawChord(250, 60, 60, 60, 150 * 16, 120 * 16);
  painter.setBrush(Qt::gray);
  painter.drawChord(350, 60, 60, 60, 90 * 16, 60 * 16);
  painter.setBrush(Qt::yellow);
  painter.drawChord(50, 160, 60, 60, 270 * 16, 90 * 16);
  painter.setBrush(Qt::green);
  painter.drawChord(150, 160, 60, 60, 330 * 16, 60 * 16);
  painter.setBrush(Qt::cyan);
  painter.drawChord(250, 160, 60, 60, 180 * 16, 180 * 16);
  painter.setBrush(Qt::magenta);
  painter.drawChord(350, 160, 60, 60, 150 * 16, 60 * 16);
}
